From a7c895c69127d6bff6bee20d97affde880d223e7 Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Fri, 11 Nov 2011 22:32:57 +0700
Subject: [PATCH 2/2] npapi: fixed VC 2008 compilation warnings.

---
 npapi/control/npolibvlc.cpp |    2 +-
 npapi/vlcplugin.cpp         |   10 +++++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

diff --git a/npapi/control/npolibvlc.cpp b/npapi/control/npolibvlc.cpp
index a8a94f6..bc04949 100644
--- a/npapi/control/npolibvlc.cpp
+++ b/npapi/control/npolibvlc.cpp
@@ -258,7 +258,7 @@ LibvlcAudioNPObject::getProperty(int index, NPVariant &result)
         {
             case ID_audio_mute:
             {
-                bool muted = libvlc_audio_get_mute(p_md);
+                bool muted = libvlc_audio_get_mute(p_md)!=0;
                 BOOLEAN_TO_NPVARIANT(muted, result);
                 return INVOKERESULT_NO_ERROR;
             }
diff --git a/npapi/vlcplugin.cpp b/npapi/vlcplugin.cpp
index b27f97c..e49e711 100644
--- a/npapi/vlcplugin.cpp
+++ b/npapi/vlcplugin.cpp
@@ -207,7 +207,9 @@ static void handle_changed_event(const libvlc_event_t* event, void *param)
             break;
 #endif
         case libvlc_MediaPlayerTimeChanged:
-            DOUBLE_TO_NPVARIANT(event->u.media_player_time_changed.new_time, npparam[0]);
+            DOUBLE_TO_NPVARIANT(
+                static_cast<double>(event->u.media_player_time_changed.new_time),
+                npparam[0]);
             break;
         case libvlc_MediaPlayerPositionChanged:
             DOUBLE_TO_NPVARIANT(event->u.media_player_position_changed.new_position, npparam[0]);
@@ -222,7 +224,9 @@ static void handle_changed_event(const libvlc_event_t* event, void *param)
             BOOLEAN_TO_NPVARIANT(event->u.media_player_title_changed.new_title, npparam[0]);
             break;
         case libvlc_MediaPlayerLengthChanged:
-            DOUBLE_TO_NPVARIANT(event->u.media_player_length_changed.new_length, npparam[0]);
+            DOUBLE_TO_NPVARIANT(
+                static_cast<double>(event->u.media_player_length_changed.new_length),
+                npparam[0]);
             break;
         default: /* ignore all other libvlc_event_type_t */
             NPN_MemFree( npparam );
@@ -842,7 +846,7 @@ bool  VlcPlugin::player_has_vout()
 {
     bool r = false;
     if( playlist_isplaying() )
-        r = libvlc_media_player_has_vout(libvlc_media_player);
+        r = libvlc_media_player_has_vout(libvlc_media_player)!=0;
     return r;
 }
 
-- 
1.7.7.1.msysgit.0

